"""
Django settings for pdc project.

Generated by 'django-admin startproject' using Django 1.8.1.

For more information on this file, see
https://docs.djangoproject.com/en/1.8/topics/settings/

For the full list of settings and their values, see
https://docs.djangoproject.com/en/1.8/ref/settings/
"""

from pdc.settings import *

RH_BASE_DIR = os.path.dirname(os.path.dirname(os.path.abspath(__file__)))

# SECURITY WARNING: keep the secret key used in production secret!
SECRET_KEY = '3hm)=^*sowhxr%m)%_u3mk+!ncy=c)147xbevej%l_lcdogu#+'

INSTALLED_APPS = INSTALLED_APPS + (
    'rhpdc.apps.rhbindings',
    'rhpdc.apps.rhrelease',
    'rhpdc.apps.utils',
    'rhpdc.apps.partners',
)

TEMPLATES[0]['DIRS'].insert(0, os.path.join(RH_BASE_DIR, "rhpdc/templates"))
STATICFILES_DIRS = STATICFILES_DIRS + (
    os.path.join(RH_BASE_DIR, "rhpdc/static"),
)

DIST_GIT_WEB_ROOT_URL = "http://pkgs.devel.redhat.com/cgit/"
DIST_GIT_RPM_PATH = 'rpms/'
DIST_GIT_REPO_FORMAT = DIST_GIT_WEB_ROOT_URL + DIST_GIT_RPM_PATH + "%s"
DIST_GIT_BRANCH_FORMAT = "?h=%s"

# ldap settings
LDAP_URI = "ldap://ldap.corp.redhat.com:389"
LDAP_USERS_DN = "ou=users,dc=redhat,dc=com"
LDAP_GROUPS_DN = "ou=groups,dc=redhat,dc=com"
LDAP_CACHE_HOURS = 24

# mock kerberos login for debugging
DEBUG_USER = None

BROWSABLE_DOCUMENT_MACROS = {
    # need to be rewrite with the real host name when deploy.
    'HOST_NAME': 'http://localhost:8000',
    # make consistent with rest api root.
    'API_PATH': '%s%s' % (REST_API_URL, REST_API_VERSION),
}

INTERNAL_SERVER_ERROR_RESPONSE.update(
    {'hint': 'The error has been logged. If it is urgent, ' + ' '.join([
        'file a ticket for eng-ops@redhat.com,',
        'file a bug in bugzilla: https://bugzilla.redhat.com/enter_bug.cgi?product=Product%20Definition%20Center,',
        'ping dev in IRC channel #pdc.'])}
)

# Internal Messaging Bus Config
MESSAGE_BUS = {
    'MLP': '',

    # STOMP messaging config sample
    # 'MLP': 'stomp',
    # 'HOST_AND_PORTS': [
    #     ('fuse-fabric-01.host.stage.eng.rdu2.redhat.com', 61617),
    #     ('fuse-fabric-02.host.stage.eng.rdu2.redhat.com', 61617),
    #     ('fuse-fabric-03.host.stage.eng.rdu2.redhat.com', 61617),
    #     ('fuse-fabric-01.host.stage.eng.bos.redhat.com', 61617),
    #     ('fuse-fabric-02.host.stage.eng.bos.redhat.com', 61617),
    # ],
    # 'TOPIC': 'com.redhat.pdc',
    # 'CERT_FILE': 'rhpdc/conf/fuse-fabric-scratch.devel.engineering.redhat.com.crt',
    # 'KEY_FILE': 'rhpdc/conf/fuse-fabric-scratch.devel.engineering.redhat.com.key',
}

# Attempts to import server specific settings.
# Note that all server specific settings should go to 'settings_local.py'
try:
    from rhpdc.settings_local import *  # noqa
except ImportError:
    pass
